Bug 461013 - Satellite installation should not create files that are not owned by any package, unless necessary
Satellite installation should not create files that are not owned by any pack...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2008-09-03 10:17 EDT by Jan Pazdziora
Modified: 2014-05-09 06:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of new files and directories not owned by any package. (49.76 KB, text/plain)
2008-09-03 10:17 EDT, Jan Pazdziora
no flags Details

  None (edit)
Description Jan Pazdziora 2008-09-03 10:17:55 EDT
Created attachment 315644 [details]
List of new files and directories not owned by any package.

Description of problem:

Satellite uses installer (./install.pl) to install and upgrade the product. The installer installs the packages (and their prerequisites) but it also runs a lot of configuration tasks. The result is that there are files on the disk that are not owned by any of the Satellite packages. This might be correct for some (database in /rhnsat/) but not for others: /etc/rhn/satellite-httpd/conf/httpd.conf, /etc/sysconfig/rhn-satellite-prep/... , /home/nocops, /nocpulse, and so on.

Version-Release number of selected component (if applicable):

Satellite 5.2.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install RHEL.
2. Run find / | sort > /tmp/pre-install.
3. Install Satellite.
4. Run find / | sort > /tmp/post-install.
5. diff those two files, get list of new files / directories
6. Run xargs rpm -qf 2> /dev/null | grep 'is not owned by any package$' on that list.
  
Actual results:

In attachment.

Expected results:

Some files could definitely be owned by some packages.

Additional info:
Comment 3 Miroslav Suchý 2012-03-16 14:00:41 EDT
Some of there are fixed. But still valid (as of sat541 and sw17) for:
/etc/sysconfig/rhn/backup-*
/etc/sysconfig/rhn/rhn-entitlement-cert.xml
/etc/sysconfig/rhn-satellite-prep/etc
/etc/sysconfig/rhn-satellite-prep/satellite-local-rules.conf
/etc/sysconfig/rhn/systemid
/etc/sysconfig/rhn/universe.deploy.sql
/opt/apps/*
/rhnsat/*
Comment 4 Clifford Perry 2014-05-09 06:37:17 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.